Phoenix LVE™

Overview     Features     Requirements     In Depth     Resources


Requirements


Windows Mac
OS Windows Server 2003 SP2; Windows XP SP3; Windows Vista SP2 (32-bit and 64-bit); Windows 7 SP1 (32-bit and 64-bit); Windows Server 2008 SP1 (32-bit and 64-bit); Windows 8 (32-bit and 64-bit); Windows Server 2012 (32-bit and 64-bit) Mac OS X 10.6.3 or newer
Processor Intel Quad Core 2.83 GHz or better Intel Quad Core 2.83 GHz or better
Hard Drive 20GB of available space to intall and run the product 20GB of available space to intall and run the product
Memory 4GB of RAM 4GB of RAM

Download

Try Phoenix LVE for free and see things from a different point of view.

Download »

In Depth

Phoenix LVE is uniquely designed to support surveillance workflows. Explore Phoenix LVE on a deeper level.

Learn More »

Integration

Thousands of compatible camera models to choose from.

Learn More »

Have questions?

+1 (760) 743-7200


Contact Us